# Certn API Documentation

> Source: https://centric-api-docs.certn.co/#check-FO_CREDIT_REPORT_1

### Faroe Islands Credit Report

**Faroe Islands Credit Report**

**Identifier:** `FO_CREDIT_REPORT_1`

Credit report for Faroe Islands

### Request Examples

#### Invite via CREDIT_REPORT_1 (Employment)

Order FO_CREDIT_REPORT_1 via invite through parent check CREDIT_REPORT_1. Applicant completes a secure form to provide their details.

```json

{
  "email_address": "applicant@example.com",
  "send_invite_email": true,
  "check_types_with_arguments": {
    "CREDIT_REPORT_1": {
      "ordering_type": "EXPLICIT_ORDERING",
      "explicit_check_type": [
        "FO_CREDIT_REPORT_1"
      ]
    },
    "IDENTITY_VERIFICATION_1": {}
  },
  "permissible_purpose": "EMPLOYMENT"
}

```

#### Quickscreen via CREDIT_REPORT_1 (Employment)

Order FO_CREDIT_REPORT_1 via quickscreen through parent check CREDIT_REPORT_1

```json

{
  "email_address": "applicant@example.com",
  "send_invite_email": false,
  "check_types_with_arguments": {
    "CREDIT_REPORT_1": {
      "ordering_type": "EXPLICIT_ORDERING",
      "explicit_check_type": [
        "FO_CREDIT_REPORT_1"
      ]
    },
    "IDENTITY_VERIFICATION_1": {}
  },
  "input_claims": {
    "are_consents_and_disclosures_accepted": true,
    "date_of_birth": "1990-01-15",
    "email_address": "applicant@example.com",
    "is_biometric_consent_accepted": true,
    "is_general_authorization_accepted": true,
    "is_quickscreen_general_authorization_accepted": true,
    "name": {
      "given_name": "John",
      "family_name": "Doe",
      "additional_name": "",
      "type": "LEGAL"
    },
    "position_location": {
      "address": {
        "street_number": "100",
        "street_address": "King Street West",
        "locality": "Toronto",
        "country": "CA",
        "postal_code": "M5X 1A9",
        "administrative_division_1": "ON"
      },
      "type": "SET_WORK_OR_OFFICE_ADDRESS"
    },
    "quickscreen_general_authorization_consent_document": "example_string",
    "residences": [
      {
        "address": {
          "street_address": "123 Main Street",
          "unit_number": "Suite 100",
          "locality": "Toronto",
          "administrative_division_1": "ON",
          "country": "CA",
          "postal_code": "M5V 2T6"
        },
        "start_date": "2020-01-01",
        "end_date": null
      }
    ]
  }
}

```

#### Invite via CREDIT_REPORT_1 (Tenancy)

Order FO_CREDIT_REPORT_1 via invite through parent check CREDIT_REPORT_1. Applicant completes a secure form to provide their details.

```json

{
  "email_address": "applicant@example.com",
  "send_invite_email": true,
  "check_types_with_arguments": {
    "CREDIT_REPORT_1": {
      "ordering_type": "EXPLICIT_ORDERING",
      "explicit_check_type": [
        "FO_CREDIT_REPORT_1"
      ]
    },
    "IDENTITY_VERIFICATION_1": {}
  },
  "permissible_purpose": "TENANCY"
}

```

#### Quickscreen via CREDIT_REPORT_1 (Tenancy)

Order FO_CREDIT_REPORT_1 via quickscreen through parent check CREDIT_REPORT_1

```json

{
  "email_address": "applicant@example.com",
  "send_invite_email": false,
  "check_types_with_arguments": {
    "CREDIT_REPORT_1": {
      "ordering_type": "EXPLICIT_ORDERING",
      "explicit_check_type": [
        "FO_CREDIT_REPORT_1"
      ]
    },
    "IDENTITY_VERIFICATION_1": {}
  },
  "input_claims": {
    "are_consents_and_disclosures_accepted": true,
    "date_of_birth": "1990-01-15",
    "email_address": "applicant@example.com",
    "is_biometric_consent_accepted": true,
    "is_general_authorization_accepted": true,
    "is_quickscreen_general_authorization_accepted": true,
    "name": {
      "given_name": "John",
      "family_name": "Doe",
      "additional_name": "",
      "type": "LEGAL"
    },
    "quickscreen_general_authorization_consent_document": "example_string",
    "residences": [
      {
        "address": {
          "street_address": "123 Main Street",
          "unit_number": "Suite 100",
          "locality": "Toronto",
          "administrative_division_1": "ON",
          "country": "CA",
          "postal_code": "M5V 2T6"
        },
        "start_date": "2020-01-01",
        "end_date": null
      }
    ],
    "position_location": {
      "address": {
        "street_number": "100",
        "street_address": "King Street West",
        "locality": "Toronto",
        "country": "CA",
        "postal_code": "M5X 1A9",
        "administrative_division_1": "ON"
      },
      "type": "SET_WORK_OR_OFFICE_ADDRESS"
    }
  }
}

```

### Explicit Ordering

*When ordering this child via its parent.*

```json

{
  "CREDIT_REPORT_1": {
    "ordering_type": "EXPLICIT_ORDERING",
    "explicit_check_type": [
      "FO_CREDIT_REPORT_1"
    ]
  }
}

```

**Note:** This check is ordered via invite or through a parent check. Applicant data is collected via the invite form and is not sent in the API request body.

### Response

**201 Created** — Successfully ordered. Use the returned `id` to retrieve the full case via `GET /api/public/cases/{id}/`.

### Error codes

| Status | Type | Description |
|--------|------|-------------|
| 400 | `validation_error` | Invalid request data |
| 401 | `client_error` | Authentication failed |
| 403 | `client_error` | Permission denied |
| 422 | `validation_error` | Request validation failed (e.g. missing required fields) |
